Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.workflow
Interface CompleteTimerAction

Deprecated. This interface is no longer used within I-BPM

public interface CompleteTimerAction

This interface defines operations by which a timer makes a choice on a Node when it expires. All timer operations are controlled through properties with values which can be set at run time through user-defined process attributes. During development, you only need to specify the names of the user-defined

Field Summary
`static java.lang.String` | `TIMER_CHOICE_NONE` Deprecated. When none of the choices is to be specified as the timer choice, this String constant should be specified as the value of the user-defined attribute that contains the timerChoice.

Method Summary
`java.lang.String` | `getTimerChoice()` Deprecated. Returns the user-defined attribute that contains the timerChoice to be selected when this TimerAction object is fired.
`void` | `setTimerChoice(java.lang.String timerChoiceAtt)` Deprecated.

Field Detail

### TIMER_CHOICE_NONE

    public static final java.lang.String TIMER_CHOICE_NONE

  Deprecated.
  When none of the choices is to be specified as the timer choice, this String constant should be specified as the value of the user-defined attribute that contains the timerChoice.

  See Also:
    Constant Field Values

Method Detail

### setTimerChoice

    public void setTimerChoice(java.lang.String timerChoiceAtt)
                        throws ModelException

  Deprecated.
  Throws:
    `ModelException`

### getTimerChoice

    public java.lang.String getTimerChoice()
                                    throws ModelException

  Deprecated.
  Returns the user-defined attribute that contains the timerChoice to be selected when this TimerAction object is fired.

  Returns:
    the name of user-defined attribute that contains the timerChoice to be selected.
  Throws:
    `ModelException` - if setting the user-defined attribute fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD